/*
 * TAEpsTransition.java
 * project: XRel
 * @author Fabrizio Bisi
 * Created on 16-ott-03
 */
package xrel.analyzer;

/**
 * Epsilon transitions have only source and destination states.
 * @author Fabrizio Bisi
 */
class TAEpsTransition {
	TAState src; // from state Src
	TAState dst; // to state Dst
	
	/**
	 * Defines a new null transition from state s to state d
	 * @param s source state
	 * @param d destination state
	 */
	public TAEpsTransition(TAState s, TAState d) {
		src = s;
		dst = d;
	}

	/**
	 * Gives the name of the transition.
	 * @return the string that represents the transition
	 */
	public String toString() {
		return src + " --> " + dst;
	}
}