/*
 * SymElementKind.java
 * project: XRel
 * @author Fabrizio
 * Created on 12-giu-03
 */
package xrel.parser;

/**
 * This interface defines the kinds of elements into the symbol table
 * and the strings that describe them.
 * @author Fabrizio Bisi
 */
public interface SymElementKind {
	/* kinds */
	final static int 
		UNDEFINED = 0,	// error condition
		LABEL = 1,			// unused
		VARIABLE = 2,
		TYPE = 3,
		PATTERN = 4,
		EXPRESSION = 5;
	
//	String[] SymElementStr = {
//	   "(undefined)",
//	   "element",
//	   "variable",
//	   "type",
//	   "pattern",
//	   "expression"
//	};
	
	/* S_ stands for SET */
	final static int 
		S_LABELS = 1,			// unused
		S_VARIABLES = 2,
		S_TYPES = 4,
		S_PATTERNS = 8,
		S_EXPRESSIONS = 16;
}
